petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatDenseRestoreColumnVecWrite

Returns access to a column of a dense matrix obtained from MatDenseGetColumnVecWrite().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreColumnVecWrite(Mat A,PetscInt col,Vec *v)

Collective

### Input Parameters

| mat | - the Mat object
| col | - the column index
| v | - the Vec object

### See Also

MATDENSE, MATDENSECUDA, MatDenseGetColumnVec(), MatDenseGetColumnVecRead(), MatDenseGetColumnVecWrite(), MatDenseRestoreColumnVec(), MatDenseRestoreColumnVecRead()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages